Summary:	LaTeX editor Qt4
Name:		texmaker-qt4
Version:	4.5
Release:	1%{?dist}
Epoch:		1
License:	GPLv2+
Group:		Applications/Publishing
URL:		https://haghighi.fedorapeople.org/texmaker_ZWNJ_support/
Source:		https://haghighi.fedorapeople.org/texmaker_ZWNJ_support/texmaker-qt4-%{version}.tar.bz2
BuildRequires:	qt4-devel
BuildRequires:	qtwebkit-devel
BuildRequires:	hunspell-devel
BuildRequires:	poppler-qt4-devel
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	qtsingleapplication-devel
BuildRequires:	gettext
Requires:	tetex-latex, tetex-dvipost, tetex-xdvi

# Patches to use default Fedora's document viewer, system's hunspell and 
# system qtsingleapplication instead of bundled ones
Patch0:		%{name}-%{version}-fedora.patch
Patch1:		unbundle-qtsingleapplication.patch
Patch2:		%{name}-viewfiles.patch

%description
*** This version compiled by qmake-qt4 to add ZWNJ support for Persian keyboard ***
Texmaker is a program, that integrates many tools needed to develop 
documents with LaTeX, in just one application. 
Texmaker runs on unix, macosx and windows systems and is released under the GPL
license

%prep
%setup -q 
%patch0 -p0 -b .fedora
%patch1 -b .qtsa
%patch2 -b .viewfiles

# remove bundled dict and qtsingleapplication
rm -r hunspell singleapp

 
%build
#export QTDIR=%{_qt4_prefix}
%{qmake_qt4} \
  CONFIG+=qtsingleapplication \
  -unix texmaker.pro

make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install INSTALL="install -p"

install -Dp -m 0644 utilities/texmaker16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker22x22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/texmaker.png
install -Dp -m 0644 utilities/texmaker128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/texmaker.png

# Don't package these twice
rm -rf %{buildroot}%{_datadir}/%{name}/{AUTHORS,COPYING,*.desktop,tex*.png}
rm -f %{buildroot}%{_datadir}/applications/texmaker.desktop

desktop-file-install 		\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category Publishing			\
	--remove-category X-SuSE-Core-Office		\
	--remove-category X-Mandriva-Office-Publishing	\
	--remove-category X-Misc			\
	utilities/texmaker.desktop

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license utilities/COPYING
%doc utilities/AUTHORS doc/*
%{_bindir}/texmaker
%{_datadir}/applications/texmaker.desktop
%{_datadir}/icons/hicolor/*/apps/texmaker.png
%{_datadir}/pixmaps/texmaker.png
%{_datadir}/texmaker/



